Name:		sitecopy
Version:	0.16.6
Release:	%mkrel 8
Summary:	Tool for easily maintaining remote web sites
License:	GPLv2+
Group:		Networking/File transfer
Source0:	http://www.lyra.org/sitecopy/sitecopy-%{version}.tar.bz2
Source1:	%{name}.bash-completion
Patch0:		configure-0.16.6.patch
URL:		http://www.manyfish.co.uk/sitecopy/
BuildRequires:	neon-devel

%description
sitecopy allows you to easily maintain remote Web sites.  The program
will upload files to the server which have changed locally, and delete
files from the server which have been removed locally, to keep the
remote site synchronized with the local site, with a single
command. sitecopy will also optionally try to spot files you move
locally, and move them remotely.  FTP and WebDAV servers are
supported.

%prep
%setup -q
%patch0 -p1

%build
export CFLAGS="%optflags -fPIE"
export LDFLAGS="%ldflags -pie"
%configure2_5x \
	--enable-debug \
	--with-ssl \
	--with-neon \
	--disable-rsh
%make

%install
%makeinstall_std

%find_lang %{name}

# (sb) remove fr man pages
rm -fr $RPM_BUILD_ROOT/%{_mandir}/fr

# fix doc file permissions
chmod 0644 COPYING ChangeLog INSTALL NEWS README* THANKS TODO

# (sb) installed but unpackaged files
rm -fr $RPM_BUILD_ROOT/%{_prefix}/doc

install -d -m 755 $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/%{name}

%files -f %{name}.lang
%{_bindir}/sitecopy
%{_mandir}/man1/*
%{_prefix}/share/sitecopy
%doc COPYING ChangeLog INSTALL NEWS README* THANKS TODO
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.16.6-8.mga5
+ Revision: 747042
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.16.6-7.mga5
+ Revision: 689175
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 sander85 <sander85> 0.16.6-6.mga5
+ Revision: 660730
- Fix build

* Fri Oct 18 2013 umeabot <umeabot> 0.16.6-5.mga4
+ Revision: 518398
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.16.6-4.mga3
+ Revision: 382097
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 01 2011 kharec <kharec> 0.16.6-3.mga2
+ Revision: 161055
- imported package sitecopy

